# API Documentation

{% hint style="info" %}
**Note:** The Search APIs are currently in private testing and are not yet publicly available. If you are interested in additional information, please contact your Pex representative.
{% endhint %}

### Overview

These endpoints provide REST access to Search workflows.

The API supports two ways to perform a search:

1. **Use Case Search:** the client provides a predefined use case (e.g. "identify music" or "find song usage") and the API handles the underlying Search configuration.
2. **Advanced Search:** the client explicitly provides fingerprint type and search type for more granular control and custom workflows.

Most search workflows are asynchronous:

1. The client starts a search (using either Use Case Search or Advanced Search)
2. The API returns a `lookup_id`.
3. The client requests the search result of that `lookup_id`.
4. The check endpoint blocks until the completed search response is available.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pex.com/search/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
